Bug 10973 - grep -o option is buggy in conjunction with anchors
: grep -o option is buggy in conjunction with anchors
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/grep)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2007-03-01 18:17 by
Modified: 2010-09-20 21:48 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2007-03-01 18:17:43
$ echo asdf |grep -o '^..'
as
df
$

Expected result:
as
------- Comment #1 From 2007-04-15 01:00:06 -------
grep.c prline() only_matching algorithm is clearly broken wrt anchors.
------- Comment #2 From 2010-09-20 21:48:10 -------
In grep-2.6.3-alt1 the bug is already fixed.